
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>圆形头像以及一些常见需求形状自定义ImageView组件 / 憋错料</title>

    <meta name="description" content="圆形头像以及一些常见需求形状自定义ImageView组件 在实际开发中,我们经常会遇到这样的需求,就是无论图片长啥样,我们都要其显示成圆形.圆形加一个边框.矩形加边框,带圆角的矩形等等,lib和demo下载地址:https://github.com/mapleyuan/RoundImageView.效果如下,大家有兴趣的可以下下来使用,发现有什么问题也欢迎向我提出. 下面我大概讲下实现. 首先当然是继承ImageView,重写onDraw()方法.我们来看看onDraw的实现:     protected void onDraw(Canvas canv">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">圆形头像以及一些常见需求形状自定义ImageView组件</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>在实际开发中，我们经常会遇到这样的需求，就是无论图片长啥样，我们都要其显示成圆形、圆形加一个边框、矩形加边框，带圆角的矩形等等，lib和demo下载地址:https://github.com/mapleyuan/RoundImageView。效果如下，大家有兴趣的可以下下来使用，发现有什么问题也欢迎向我提出。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzUwNDQzOC8yMDE2MDIvNTA0NDM4LTIwMTYwMjE5MjExMjIxMTc1LTEzMTE2MzcyNC5wbmc=.jpg" /></p>
<p>下面我大概讲下实现。</p>
<p>首先当然是继承ImageView，重写onDraw()方法。我们来看看onDraw的实现：</p>
<p><strong>&nbsp; &nbsp; protected void onDraw(Canvas canvas) {</strong></p>
<p>canvas.save();</p>
<p>drawPath();</p>
<p>canvas.clipPath(mPath);</p>
<p>super.onDraw(canvas);</p>
<p>canvas.restore();</p>
<p>drawCanvas(canvas);</p>
<p>}</p>
<p>先调用了一个绘制区域的方法，那再来看下这个方法的实现：</p>
<p><strong>private void drawPath() {</strong></p>
<p>&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;..&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;..</p>
<p>省略不关键部分</p>
<p>&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;...&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;.</p>
<p>case CIRCLE:</p>
<p>float r = Math.min(width, height) / 2;</p>
<p>mPath.reset();</p>
<p>mPath.addCircle(width / 2, height / 2, r, Path.Direction.CW);</p>
<p>mPath.close();</p>
<p>break;</p>
<p>&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;...&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;.</p>
<p>省略不关键部分</p>
<p>&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;...&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;.</p>
<p>}</p>
<p>可以看到，调用了addCircle方法，顺时针绘制了一个圆。回到onDraw方法，调用了Canvas的clipPath方法对view进行了裁剪，然后再绘制就相当于在上面盖了一层蒙板。OK，到这里，我们就已经实现了一个圆形头像。假如，你还不满足于此，比如想加上一个边框，那么</p>
<p>继续往下看，发现又调用了drawCanvas方法</p>
<p><strong>private void drawCanvas(Canvas canvas) {</strong></p>
<p>int width = getWidth();</p>
<p>int height = getHeight();</p>
<p>if (mBorderWidth &lt;= 0) {</p>
<p>return;</p>
<p>}</p>
<p>mBorderPaint.setColor(mBorderColor);</p>
<p>mBorderPaint.setStrokeWidth(mBorderWidth);</p>
<p>mBorderPaint.setStyle(Paint.Style.STROKE);</p>
<p>mBorderPaint.setAntiAlias(true);</p>
<p>&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;...&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;.</p>
<p>省略不关键部分</p>
<p>&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;...&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;.</p>
<p>case CIRCLE:</p>
<p>float r = Math.min(width, height) / 2;</p>
<p>canvas.drawCircle(width / 2, height / 2, r - mBorderWidth / 2, mBorderPaint);</p>
<p>break;</p>
<p>&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;...&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;.</p>
<p>省略不关键部分</p>
<p>&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;...&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;.</p>
<p>}</p>
<p>通过对画笔设置宽度，颜色，最后在canvas进行绘制圆圈。至此，我们基本上就实现了圆形imgeview功能，对于其他形状，原理类似。更多代码详情欢迎到https://github.com/mapleyuan/RoundImageView)上下载，也欢迎关注指出问题。后续也会陆续把平常常用组件放上去，欢迎关注下载，谢谢～</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 21:41:12 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>圆形头像以及一些常见需求形状自定义ImageView组件的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0Ygaqa4.html" rel="bookmark">几行实现圆形头像，以及一些常见需求形状自定义ImageView组件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在实际开发中,我们经常会遇到这样的需求,就是无论图片长啥样,我们都要其显示成圆形.圆形加一个边框.矩形加边框,带圆角的矩形等等,我已把自己平常用的组件和demo上传到了github(https://github.com/mapleyuan/RoundImageView)上,效果如下.大家有兴趣的可以下下来使用,发现有什么问题也欢迎向我提出. 下面我大概讲下实现. 首先当然是继承ImageView,重写onDraw()方法.我们来看看onDraw的实现: @Override     protect			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/r0apQMl.html" rel="bookmark">Android 设计一个菱形形状的Imageview组件&period;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				网上没有资料,特来请教下大神 Android 设计一个菱形形状的Imageview组件. &gt;&gt; android 这个答案描述的挺清楚的:http://www.goodpm.net/postreply/android/1010000007107851/Android设计一个菱形形状的Imageview组件.html			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVQn7Q4.html" rel="bookmark">登录圆形头像之网络加载与缓存到本地</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android开发中常常有用户头像显示,似乎大多数都是圆形显示,如果每次加载网络头像,会频繁的请求网络,所以本文主要说的是登录时的头像网络加载和缓存到本地,以便于下次加载时直接从本地获取即可. 效果图 自定义控件实现圆形头像显示请看, Android自定义ImageView实现图片圆形 ,椭圆和矩形圆角显示 这篇博客即可. 代码: public class MainActivity extends Activity implements OnClickListener { private Ima			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xQeaD3.html" rel="bookmark">【Android】自定义圆形ImageView&lpar;圆形头像 可指定大小&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近在仿手Q的UI,这里面经常要用到的就是圆形头像,看到 在android中画圆形图片的几种办法 这篇文章,了解了制作这种头像的原理.不过里面提供的方法还有一个不足的地方就是不能根据实际需求改变图片的大小,也就是说提供的原图是大尺寸的,转换之后的图片也是大尺寸的,这显然不符合我们实际项目中的需求.于是我对里面介绍的第一种方法做了一番改进,使其能直接在XML中指定图片的大小. 大体步骤 将原图居中裁剪成正方形 根据指定的宽度对正方形进行缩放 裁剪成圆形 效果 代码实现 package com.de			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vOgW94.html" rel="bookmark">android分析之自定义圆形头像</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				package de.hdodenhof.circleimageview; public class CircleImageView extends ImageView { private static final ScaleType SCALE_TYPE = ScaleType.CENTER_CROP;//决定了图片在View上显示时的样子,如进行何种比例的缩放,及显示图片的整体还是部分,等等 private static final Bitmap.Config BITMAP_CONFIG =			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0eqx1p0.html" rel="bookmark">自定义控件  编辑和选取圆形头像</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				android大家都有很多需要用户上传头像的需求,有的是选方形,有的是圆角矩形,有的是圆形. 首先我们要做一个处理图片的自定义控件,把传入的图片,经过用户选择区域,处理成一定的形状. 有的app是通过在图片上画一个矩形区域表示选中的内容,有的则是通过双指放大缩小,拖动图片来选取图片.圆形头像,还是改变图片比较好 圆形区域可调节大小. 这个自定义View的图像部分分为三个,背景图片,半透明蒙层,和亮色区域--还是直接贴代码得了 package com.example.jjj.widget; imp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/r4JQmn3.html" rel="bookmark">圆形头像CircleImageView和Cardview使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				效果: 圆形头像在我们的日常使用的app中很常见,因为圆形的头像比较美观. 使用圆形图片的方法可能有我们直接将图片裁剪成圆形再在app中使用, 还有就是使用自定义View对我们设置的任何图片自动裁剪成圆形. 这里使用github上CircleImageView github:https://github.com/hdodenhof/CircleImageView CardView顾名思义卡片式的View, CardView继承的是FrameLayout,所以摆放内部控件的时候需要注意一下 可以设			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0RmKz9M.html" rel="bookmark">自定义控件--CircleImageView（类似于QQ、微信圆形头像自定义控件）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				现在基本上所有的需要用户注册的APP都有一个需要用户上传头像的需求,上传的头像基本都是类似于QQ.微信等社交应用圆形头像.最近,正在做的一个社交应用多处需要用到这种圆形头像的处理,总不能每次都对图片做一些剪裁来实现圆形头像的处理,于是就想到了自定义一个控件来实现相应的效果.最后的效果图如下: 1.自定义View(CircleImageView) public class CircleImageView extends ImageView { private static final ScaleT			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JZwqQ4.html" rel="bookmark">Android 圆形头像 自己动手</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				圆形头像DIY 现在大部分app使用的都是圆形头像,网上开源的也很多,但是有没有考虑过DIY圆形头像呢?下面就自己实现一个,先看下demo展示 第一步:原理解释(图片很丑,原理很真) 1.画外框圆形,需要使用自定义的颜色画一个圆形,比图片的半径长5dp 2.自定义圆形画好了后,将我们需要转换成圆形头像的图片画到上面,从中间开始覆盖,得到如下图片 3.中间截取图片,半径设置为:r=min(width,height),圆心设为:cx=width/2,cy=height/2,这样可以从中间开始截取圆形			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/g41po3l.html" rel="bookmark" class="title">高级数据操作（上）</a>
					<div>
						数据的操作也叫做CRUD C:Create R:Read U:Update D:Delete 一.插入数据 标准语法: 1 insert into 表名[字段列表] values(值列表): 思考:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/bMoY9y3.html" rel="bookmark" class="title">初始Django</a>
					<div>
						Django概述 Django是什么 Django是一个开放源代码的Web应用框架,由Python写成.采用了MVC的软件设计模式,即模型M,视图V和控制器C. Django的主要目标是使得开发复杂的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jyVPDM.html" rel="bookmark" class="title">poj 4045 Power Station&lpar;初涉树形dp&rpar;</a>
					<div>
						http://poj.org/problem?id=4045 大致题意:有n个村庄,求将发电站建在哪一个村庄使得花费最少.这是一个无向无环图.简化一下就是求一个节点使它到其他所有节点的距离和最小. 起 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDZrVp3.html" rel="bookmark" class="title">sed命令详解</a>
					<div>
						1.简介 sed是非交互式的编辑器,它不会修改文件,除非使用shell重定向来保存结果.默认情况下,所有的输出行都被打印到屏幕上. sed编辑器逐行处理文件(或输入),并将结果发送到屏幕.具体过程如下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qQGoa3.html" rel="bookmark" class="title">&lpar;DP&rpar; zoj 3725</a>
					<div>
						Painting Storages Time Limit: 2 Seconds      Memory Limit: 65536 KB There is a straight highway with ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGP8PG0.html" rel="bookmark" class="title">pxc基础运维</a>
					<div>
						wsrep_slave_threads:建议每个CORE启动4个复制线程,这个参数很大程度上受到I/O能力的影响,一般可以通过观察 wsrep_cert_deps_distance这个状态变量来获取当 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kG68j0.html" rel="bookmark" class="title">SQL入门经典&lpar;十&rpar; 之事务</a>
					<div>
						事务是什么?事务关键在与其原子性.原子性概念是指可以把一些事情当作一个执行单元来看待.从数据库角度看待.他是指应该全部执行或者全部不执行一条或多条语句的最小组合.当处理数据时候经常确保一件事发生另一件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmOL8P3.html" rel="bookmark" class="title">SQL Server 问题之 排序规则&lpar;collation&rpar;冲突</a>
					<div>
						一.写在前面 最近公司进行开发环境升级,数据库也准备了一个新的服务器,一切准备好后开始数据迁移,采取的方式为对现有Database(现有服务器Windows Server 2003 + SQL Ser ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NaPAV3.html" rel="bookmark" class="title">vector中erase使用</a>
					<div>
						vector中erase用法注意事项 - daofengdeba - 博客频道 - CSDN.NEThttp://blog.csdn.net/daofengdeba/article/details/7 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rk29X4.html" rel="bookmark" class="title">关于Windows系统防火墙</a>
					<div>
						步入win7时代,一般用户,真的没必要再去找墙了,系统墙已经足够(如果你是外网用户,毫无疑问已经足够!如果你是局域网用户,加个ARP防火墙,足矣) 有人说,系统墙防外不错,防内就不行了,其实是误解.只 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41znEqM.html" rel="bookmark" class="title">Python 一日一练： 01</a>
					<div>
						将数字转换为LCD模式 代码如下: 1 # -*- coding:utf-8 -*- 2 ''' 3 Python 小练习-1 : 将数字转换为LCD显示 4 ''' 5 lt = [' __ ',  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02wVla3.html" rel="bookmark" class="title">Html5NodeJs安装less之千辛万苦CMD系列</a>
					<div>
						如题,这个东西很是费了一般脑筋 上一次讲了如何在浏览器端解析less文件,这次是在cmd中使用npm中的less模块来解析 详解如下 首下我们去下载一个NodeJs,   我下载的是4.44版本,一路 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YLYzJM.html" rel="bookmark" class="title">&lbrack;转&rsqb;opencv学习资料</a>
					<div>
						转自:http://blog.csdn.net/poem_qianmo/article/details/20537737 1:Mat imread(const string&amp; filename ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXDLJqM.html" rel="bookmark" class="title">你身上的所有光环，同样是套在你身上的枷锁</a>
					<div>
						谁让你是苹果,谁让你是全球市值第一大公司,谁让你是全球最赚钱的公司,你身上的所有光环,同样是套在你身上的枷锁. 数字已经清清楚楚地告诉所有人:“iPhone”和“中国”是苹果赖以创出佳绩的最为关键的两 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mgga7OM.html" rel="bookmark" class="title">oracle pl&sol;sql 实战学习 -避免误用</a>
					<div>
						这几天看了下 oracle pl/sql 实战 这本书,出于对sql语句性能的研究,先研究下游标对代码的影响. 1.逐行处理 程序声明了一个游标c1,然后用游标for循环隐式地打开了这个游标,对从游标 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38KOv10.html" rel="bookmark" class="title">java中各种属性调用的顺序</a>
					<div>
						静态方法是你手动调用的时候执行. 静态变量与类一起加载,最优先的.类加载会执行 然后是,静态初始化器(只初始化静态成员变量).类加载会执行 然后是,属性初始化(只初始化非静态成员变量).new对象时会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDDxloM.html" rel="bookmark" class="title">【转】【Flex】&num;010 操作XML文件（E4X）</a>
					<div>
						该教程转载来自于:http://blog.chinaunix.net/uid-14767524-id-2785506.html    [看到这边文章的位置,具体原作者未知] 经过一些排版的修改,其他内 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0npLxX4.html" rel="bookmark" class="title">oc38--类工厂方法在继承中</a>
					<div>
						// Person.h #import &lt;Foundation/Foundation.h&gt; @interface Person : NSObject @property int age;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vyNpa0.html" rel="bookmark" class="title">matlab在图片上画框</a>
					<div>
						matlab在图片上画框 之前写过一个MATLAB在图片上画框的代码, http://blog.csdn.net/carson2005/article/details/17262811 最近使用后发现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXjWpV3.html" rel="bookmark" class="title">JAVA笔记：Java 类集总结（二、Map接口及相关）</a>
					<div>
						Map接口 与Collection接口不同的是,Map接口保存的对象是一对对,类似key-value这样的分布. Map接口的常用子类: 以HashMap为例使用Map: import java.ut ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
